

Patch from Oleg Drokin <green@namesys.com>

    There is trivial memleak on error exit path in
    fs/ufs/util.c::_ubh_bread_()



 fs/ufs/util.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/ufs/util.c~ufs-memleak-fix fs/ufs/util.c
--- 25/fs/ufs/util.c~ufs-memleak-fix	2003-03-17 21:32:11.000000000 -0800
+++ 25-akpm/fs/ufs/util.c	2003-03-17 21:32:11.000000000 -0800
@@ -48,6 +48,7 @@ struct ufs_buffer_head * _ubh_bread_ (st
 failed:
 	for (j = 0; j < i; j++)
 		brelse (ubh->bh[j]);
+	kfree(ubh);
 	return NULL;
 }
 

_
